al_register_bitmap_saver_f(3)

NAME

al_register_bitmap_saver_f - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_register_bitmap_saver_f(const char *extension,
       bool (*fs_saver)(ALLEGRO_FILE *fp, ALLEGRO_BITMAP *bmp))

DESCRIPTION

Register a handler for al_save_bitmap_f(3). The given function will be used to handle the saving of bitmaps files with the given extension.

The extension should include the leading dot ('.') character. It will be matched case-insensitively.

The saver_f argument may be NULL to unregister an entry.

Returns true on success, false on error. Returns false if unregistering an entry that doesn't exist.

SEE ALSO

al_register_bitmap_saver(3)